Pause Mandate

The API can be used to Pause an Active Mandate

Note

Only ACTIVE mandates can be paused.

API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/mandates/{mandate_id}
Production Link
POST
https://api.juspay.in/mandates/{mandate_id}
Authorization Header
Headers
Path Params
Body
200 : Success
400 : Invalid Input data
401 : Authentication Failed

Error Codes:

Scroll inside to view more
Scenario
Error Code
Description
Sample Response
Invalid Mandate ID
400
Bad Request
{"error_message":"Mandate not found","status":"invalid_request_error","error_code":"Mandate not found","error_info":{"user_message":"Cannot process your request as mandate not found.","developer_message":"Mandate not found for customer.","code":"RESOURCE_NOT_FOUND","category":"USER_ERROR"}}
Performing Pause on failure/inactive mandate
400
Bad Request
{"user_message":"Pause action not allowed.","message":"Mandate is in FAILURE state.","error_info":{"user_message":"Mandate is in FAILURE state.","developer_message":"Pause action not allowed.","code":"INVALID_INPUT"},"type":"INVALID_REQUEST_ERROR","code":"INVALID_REQUEST"}
Invalid API Key
401
Unauthorized
{"status":"error","error_code":"access_denied","error_info":{"user_message":"Unauthorized.","developer_message":"Invalid API Key. Please pass a valid and active api key.","code":"UNAUTHORIZED","category":"USER_ERROR"}}
Passing an invalid URL
404
Not Found
Not passing 'command' field
400
Bad Request
{"error_message":"Bad request.","status":"ERROR","error_code":"Bad request.","error_info":{"user_message":"Bad request.","fields":[{"field_name":"command","reason":"Field required but not passed."}],"developer_message":"Failed while parsing your request.","code":"MISSING_MANDATORY_PARAMETER","category":"USER_ERROR"}}
"Performing Pause on CREATED mandate/ pending transaction
400
Bad Request
{"user_message":"Pause action not allowed.","message":"Mandate is in CREATED state.","error_info":{"user_message":"Mandate is in CREATED state.","developer_message":"Pause action not allowed.","code":"INVALID_INPUT"},"type":"INVALID_REQUEST_ERROR","code":"INVALID_REQUEST"}
Passing Invalid 'command' value
400
Bad Request
{"error_message":"Invalid command","status":"Invalid Request","error_code":"bad_request","error_info":{"user_message":"Invalid command. Please check your request.","fields":[{"field_name":"command","reason":"Invalid value."}],"developer_message":"Invalid command. Please pass valid command in request.","code":"INVALID_INPUT","category":"USER_ERROR"}}
Last updated 9 months ago